<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Product Filter</title>
    <!-- Bootstrap 5 CDN -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet" />
    
    <style>
        body {
    font-family: Arial, sans-serif;
    background-color:#e7ffdb;
    }

.filter-buttons {
    margin-bottom: 20px;
}

.filter-btn {
    padding: 10px;
    margin: 5px;
    cursor: pointer;
    background-color: #4CAF50;
    color: white;
    border: none;
    border-radius: 5px;
}

.filter-btn:hover {
    background-color: #45a049;
}

.product {
   
    padding: 15px;
   
   ;
}

.product h3 {
    margin: 0;
}

    </style>
</head>
<body>
    
    <?php include "header.php"?>
    
    <div class="container-fluid  m-0"  style="background: linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.5)), url('https://img.freepik.com/premium-photo/ayurveda-india-symbol-indian-background-theme_1279562-5309.jpg'); background-size:cover; background-repeat:no-repeat;">
        <div class="row h-25 text-white ">
            <div class="col-12 d-flex justify-content-center align-items-center flex-column p-5 text-white">
                <h1 class="text-white">Our Products</h1>
                <a>Home\<spane>our products</spane></a>
                <p>Explore our exclusive collection of Ayurvedic products, aromatic soy candles, and premium fragrances, all thoughtfully crafted to elevate your well-being. Each item is designed to bring a sense of tranquility, creating a soothing atmosphere in your home. Embrace the power of nature with our natural, eco-friendly solutions, and indulge in a healthier, more fragrant lifestyle that nurtures both body and mind.</p>
                
            </div>
        </div>
    </div>

<div class="container-fluid mt-4 py-5" style="background-color:#d3f7c0;">
    <div class="row">
        <div class="col-12">
            <h1 class="text-center">Our Products</h1>
        </div>
        
    </div>

    <!-- Filter Buttons -->
    
    <!-- Filter Buttons: Responsive Flex Layout -->
    <div class="d-flex flex-wrap justify-content-center mb-4">
        <button class="btn btn-danger mx-2 my-2 filter-btn" data-category="all">All</button>
        <button class="btn btn-success mx-2 my-2 filter-btn" data-category="ayurveda">Ayurvedic Products</button>
        <button class="btn btn-warning mx-2 my-2 filter-btn" data-category="fragrances">All Fragrances</button>
        <button class="btn btn-info mx-2 my-2 filter-btn" data-category="candles">Aromatic Soy Candles</button>
    </div>
   
    

    <!-- Product List -->
    <div class="row" id="product-list">
        <div class="col-md-3 product" data-category="ayurveda">
            <div class="card">
                <img src="img/kumkumadi-product.jpeg" style="height:280px" class="card-img-top" alt="Apple">
                <div class="card-body">
                    <h5 class="card-title">Kumkumadi Tailam(Face Oil)</h5>
                    <a href="kumkumadi.php" class="btn btn-outline-primary px-3">View more</a>
                </div>
            </div>
        </div>
        <div class="col-md-3 product" data-category="ayurveda">
            <div class="card">
                <img src="img/curecan-product.jpeg" style="height:280px" class="card-img-top" alt="Banana">
                <div class="card-body">
                    <h5 class="card-title">CURECAN(Immunity Booster)</h5>
                    <a href="curecan.php" class="btn btn-outline-primary px-3">View more</a>
                </div>
            </div>
        </div>
        <div class="col-md-3 product" data-category="ayurveda">
            <div class="card">
                <img src="img/propain-product.jpeg" style="height:280px" class="card-img-top" alt="Carrot">
                <div class="card-body">
                    <h5 class="card-title">PROPAIN (Pain Relief Oil)</h5>
                    <a href="propain.php" class="btn btn-outline-primary px-3">View more</a>
                </div>
            </div>
        </div>
        <div class="col-md-3 product" data-category="fragrances">
            <div class="card">
                <img src="img/air-mist-perfume-1.png" style="height:323px" class="card-img-top" alt="Spinach">
                <div class="card-body">
                    <h5 class="card-title">Air Mist (Freshner)</h5>
                    <a href="Air-mist-product.php" class="btn btn-outline-primary px-3">View more</a>
                </div>
            </div>
        </div>
        <div class="col-md-3 product" data-category="fragrances">
            <div class="card">
                <img src="img/car-perfume-1.jpeg" style="height:323px" class="card-img-top" alt="Coconut">
                <div class="card-body">
                    <h5 class="card-title">Car Perfume</h5>
                   <a href="car-perfume-product.php" class="btn btn-outline-primary px-3">View more</a>
                </div>
            </div>
        </div>
        <div class="col-md-3 product" data-category="fragrances">
            <div class="card">
                <img src="img/deo-product-1.jpeg" style="height:323px" class="card-img-top" alt="Dried Coconut">
                <div class="card-body">
                    <h5 class="card-title">Deodorants</h5>
                    <a href="deo-product.php" class="btn btn-outline-primary px-3">View more</a>
                </div>
            </div>
        </div>
        <div class="col-md-3 product" data-category="fragrances">
            <div class="card">
                <img src="img/travel-perfume-1.jpeg" style="height:323px" class="card-img-top" alt="Dried Coconut">
                <div class="card-body">
                    <h5 class="card-title">Travel Perfume</h5>
                    <a href="travel-perfume-product.php" class="btn btn-outline-primary px-3">View more</a>
                </div>
            </div>
        </div>
        <div class="col-md-3 product" data-category="fragrances">
            <div class="card">
                <img src="img/blue-ab-perfume" style="height:323px" class="card-img-top" alt="Dried Coconut">
                <div class="card-body">
                    <h5 class="card-title">AB Perfume</h5>
                    <a href="ab-perfume-product.php" class="btn btn-outline-primary px-3">View more</a>
                </div>
            </div>
        </div>
        <div class="col-md-3 product" data-category="fragrances">
            <div class="card">
                <img src="img/rollon-1" style="height:323px" class="card-img-top" alt="Dried Coconut">
                <div class="card-body">
                    <h5 class="card-title">Roll on</h5>
                     <a href="rollon-product.php" class="btn btn-outline-primary px-3">View more</a>
                </div>
            </div>
        </div>
        <div class="col-md-3 product" data-category="fragrances">
            <div class="card">
                <img src="img/mineature.jpeg" style="height:323px" class="card-img-top" alt="Dried Coconut">
                <div class="card-body">
                    <h5 class="card-title">Miniature</h5>
                   <a href="mineature-product.php" class="btn btn-outline-primary px-3">View more</a>
                </div>
            </div>
        </div>
        
        <div class="col-md-3 product" data-category="candles">
            <div class="card">
                <img src="img/Matt Jar Red.jpg"  style="height:323px" class="card-img-top" alt="Dried Coconut">
                <div class="card-body">
                    <h5 class="card-title">Red Matt Jar</h5>
                    <a href="matt-jar-product.php" class="btn btn-outline-primary px-3">View more</a>
                </div>
            </div>
        </div>
        <div class="col-md-3 product" data-category="candles">
            <div class="card">
                <img src="img/U-Bottom-Blush-Jar.jpg" style="height:323px" class="card-img-top" alt="Dried Coconut">
                <div class="card-body">
                    <h5 class="card-title">U-Bottom Blush Jar</h5>
                    <a href="ubottom-product.php" class="btn btn-outline-primary px-3">View more</a>
                </div>
            </div>
        </div>
        <div class="col-md-3 product" data-category="candles">
            <div class="card">
                <img src="img/Pack of 2.jpg" style="height:323px" class="card-img-top" alt="Dried Coconut">
                <div class="card-body">
                    <h5 class="card-title">Pack of 2 Candles</h5>
                    <a href="packof2-product.php" class="btn btn-outline-primary px-3">View more</a>
                </div>
            </div>
        </div>
        <div class="col-md-3 product" data-category="candles">
            <div class="card">
                <img src="img/Tea Lights.jpg" style="height:323px" class="card-img-top" alt="Dried Coconut">
                <div class="card-body">
                    <h5 class="card-title">Tea Lights</h5>
                    <a href="tea-light-product.php" class="btn btn-outline-primary px-3">View more</a>
                </div>
            </div>
        </div>
        <div class="col-md-3 product" data-category="candles">
            <div class="card">
                <img src="img/fat jar 2.jpg" style="height:323px" class="card-img-top" alt="Dried Coconut">
                <div class="card-body">
                    <h5 class="card-title">Flat Jar</h5>
                     <a href="fat-jar-product.php" class="btn btn-outline-primary px-3">View more</a>
                </div>
            </div>
        </div>
    </div>

</div>

 <!-- Testimonial Start -->
    <?php include "our-client-section.php";?>
    <!-- Testimonial End -->

<?php include "footer.php"?>


<!-- Bootstrap JS (Optional for functionality) -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
<script>
    // Get all filter buttons
const filterButtons = document.querySelectorAll('.filter-btn');

// Get all products
const products = document.querySelectorAll('.product');

// Function to filter products by category
function filterProducts(category) {
    // Loop through each product and check its category
    products.forEach(product => {
        // If the category matches or 'all' is selected, show the product
        if (category === 'all' || product.dataset.category === category) {
            product.style.display = 'block'; // Show product
        } else {
            product.style.display = 'none'; // Hide product
        }
    });
}

// Add event listeners to filter buttons
filterButtons.forEach(button => {
    button.addEventListener('click', () => {
        const category = button.getAttribute('data-category');
        filterProducts(category);
    });
});

// Optional: default filter to show all products when the page loads
window.onload = () => filterProducts('all');

</script>

<!-- JavaScript Libraries -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.1/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/js/bootstrap.bundle.min.js"></script>
    <script src="lib/wow/wow.min.js"></script>
    <script src="lib/easing/easing.min.js"></script>
    <script src="lib/waypoints/waypoints.min.js"></script>
    <script src="lib/owlcarousel/owl.carousel.min.js"></script>

    <!-- Template Javascript -->
    <script src="js/main.js"></script>
</body>
</html>
